مواد پر جائیں

Emu 3.5 Image · Text to Image

انٹیگریٹ کریں

ماڈل id emu-3.5-image/text-to-image
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست: ⁨$0.30⁩ 300 API کریڈٹس · ≈ ⁨₽32.27⁩ اس صفحے پر چلائیں

API کلید حاصل کریں
BAAI متن سے تصویر 720p تک

صرف متن سے تصاویر بناتا ہے، 480p یا 720p پر نو نسبتِ ابعاد کے انتخاب کے ساتھ

BAAI · تصویر

آپ کا پہلا نتیجہ یہاں آئے گا

ذیل میں درخواست بنائیں اور اپنی API کلید کے ساتھ چلائیں۔ آؤٹ پٹس ہمارے اسٹوریج میں کاپی ہو جاتے ہیں، ہمیشہ کے لیے یا مفت میں 7 دن تک محفوظ رہتے ہیں۔

درخواست بنائیں

کنٹرولز ماڈل اسکیما سے تیار ہوتے ہیں۔ آپ کے بدلنے کے ساتھ کوڈ اور قیمت اپ ڈیٹ ہوتے ہیں۔

•لازمی

تصویر تخلیق کرنے کے لیے استعمال ہونے والا پرامپٹ۔

resolution ڈیفالٹ 720p

نتیجے کی تصویر کا ریزولوشن۔

aspect_ratio ڈیفالٹ 1:1

نتیجے میں بننے والی تصویر کا aspect ratio۔

ایڈوانسڈ output_format · seed · enable_safety_checker
output_format ڈیفالٹ png

نتیجے کی تصویر کا فائل فارمیٹ۔

استنباط کے دوران استعمال ہونے والا seed۔

POST /run/emu-3.5-image/text-to-image?wait=20 قیمت → ⁨$0.30⁩
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/emu-3.5-image/text-to-image?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

یہ درخواست چلائیں

آپ کی key اسی براؤزر میں رہتی ہے: یہ صرف Doitong API کو بھیجی جاتی ہے اور صرف اس صورت میں localStorage میں محفوظ ہوتی ہے جب آپ Remember منتخب کریں۔ API کلید حاصل کریں

Emu 3.5 Image · Text to Image کے بارے میں

بغیر ان پٹ تصویر کے `prompt` سے تصویر بناتا ہے۔ `resolution` 480p یا 720p ہے، اور `aspect_ratio` 21:9 سے 9:21 تک ہوتا ہے، جس میں 1:1 ڈیفالٹ ہے۔ آؤٹ پٹ فارمیٹ png، jpeg یا webp ہو سکتا ہے، جبکہ `seed` قابلِ تکرار نتائج کی اجازت دیتا ہے۔

پیرامیٹرز

نامقسم ڈیفالٹمجاز تفصیل
promptلازمی
قسمstring
تصویر تخلیق کرنے کے لیے استعمال ہونے والا پرامپٹ۔
resolutionاختیاری
قسمenum
ڈیفالٹ720p
480p720p
نتیجے کی تصویر کا ریزولوشن۔
aspect_ratioاختیاری
قسمenum
ڈیفالٹ1:1
21:916:94:33:21:12:33:49:169:21
نتیجے میں بننے والی تصویر کا aspect ratio۔
enable_safety_checkerاختیاری
قسمboolean
ڈیفالٹtrue
یہ کنٹرول کرتا ہے کہ حفاظتی جانچ فعال ہو یا نہیں۔
seedاختیاری
قسمinteger | null
استنباط کے دوران استعمال ہونے والا seed۔
output_formatاختیاری
قسمenum
ڈیفالٹpng
jpegpngwebp
نتیجے کی تصویر کا فائل فارمیٹ۔
لازمی

آؤٹ پٹ

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "emu-3.5-image/text-to-image",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 300,
    "usd": "0.30",
    "charged": 300,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
آپ کی فائلیں، آپ کا انتخابہر outputs[].url ہمارے اسٹوریج میں ایک کاپی ہے: ہمیشہ کے لیے محفوظ (فی GB-ماہ ادائیگی) یا مفت میں 7 دن تک، آپ کی اکاؤنٹ سیٹنگ یا ?storage= کے مطابق۔
ہر ماڈل میں ایک جیسی ساختtype، url، content_type، width، height اور duration، تصاویر، ویڈیو اور آڈیو سب کے لیے یکساں۔ output ماڈل کا اپنا نتیجہ آبجیکٹ ہے۔
آؤٹ پٹ کے فیلڈز
images
array of object {url, content_type, file_name, file_size, width, height}ترمیم سے حاصل ہونے والی تصویر۔
seed
integerاستنباط کے دوران استعمال ہونے والا seed۔

مزید ماڈلز: متن سے تصویر

AI ایجنٹس کے لیے: یہ صفحہ Markdown میں یہاں موجود ہے https://doitong.com/ur/developers/models/emu-3.5-image/text-to-image.md. تمام ماڈلز اور گائیڈز: https://doitong.com/developers/llms.txt